Command “python setup.py egg_info” failed with error code 1

Command &…

昨天装了python最新的3.7.0a,果然最先吃螃蟹的人会容易受伤。今天便遇到错误如下:

Command "python setup.py egg_info" failed with error code 1

查了一下其他人的解决办法,都不过是更新一下setuptools或者pip,并不不适用于我所遇到的问题,但以防以后再次遇到,还是列出此类解决命令:

#环境win10
python -m pip install --upgrade --force pip
python -m pip install setuptools==36.6.0

这个方法能够解决绝大部分这个错误,除了我这种率先更新最新大版本的。
对此,我猜想,之所以大部分库可以更新而部分库报错,而且这部分库往往相较可以更新的要小众,是因为,这部分库未做及时适配,或者说,这个库是依赖于当时那个版本的特性,所以,更新版本后无法安装。而上面那种解决方案应该针对的是pip和setuptools版本过老导致的库版本问题。

对此,解决方案怕是只有回退版本或者等待适配。

唉,溜了溜了,我去回退Python3.6了….

harmoc

发表评论

电子邮件地址不会被公开。 必填项已用*标注